Cancel a delivery

PUT <baseURL>/deliveries/{deliveryId}/cancel

This request cancels a delivery after the delivery has been booked and before it is picked up by the delivery driver.

Call this request when the customer cancels an order so that a delivery driver is not sent to the pickup point.

Orders can be canceled up until the delivery driver has picked it up from a pickup point.

Orders cannot be canceled after the delivery status has changed to DISPATCHED.

Example

This request cancels the delivery of clientId of 49304, externalOrderId of 10208877499-208925547882099, and deliveryId of 4e9cf4d5-be96-4b30-a76e-073b5f912345:

PUT {baseURL}/deliveries/ffd1ea37-7903-466f-9b9e-3538a12db256/cancel

Request body:

{ "deliveries": { "clientId": "49304", "externalOrderId": "10208877499-208925547882099", "reasons": [ { "code": "CD-002" } ] }
}

Response (200 OK):

{ "deliveries": { "externalOrderId": "10208877499-208925547882099", "deliveryId": "4e9cf4d5-be96-4b30-a76e-073b5f912345" }
}

See Also

To book a delivery, see POST /deliveries.

To update information about the delivery, see PUT /deliveries/{deliveryId}/update.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
length between 36 and 36


Specifies the deliver identifier.

The deliveryId is generated by Walmart GoLocal at the time the delivery order is created.
It is associated with an order, either by OrderId or externalOrderId.

Body Params

Specifies the reason the delivery was canceled.

deliveries
object
required

Specifies an object for the delivery details.

Headers
string
required


Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

uuid
required
length between 36 and 36


Specifies the value for <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

string


Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json